Retrieve EMR user profile
curl --request GET \
--url https://api.eka.care/profiles/v1/emr-user/{oid} \
--header 'Authorization: Bearer <token>' \
--header 'client-id: <client-id>'import requests
url = "https://api.eka.care/profiles/v1/emr-user/{oid}"
headers = {
"client-id": "<client-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<client-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.eka.care/profiles/v1/emr-user/{oid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"oid": "175074536120088",
"bid": "77088166996724",
"ps": "S",
"c_ate": 1750745358,
"u_ate": 1750745358,
"gen": "M",
"dob": "2000-01-02",
"is_age": true,
"fn": "Eka",
"ln": "User",
"fln": "Eka User",
"bg": "B+",
"mobile": "+911201201201",
"email": "eka.user@example.com",
"s": "Mr."
}{
"message": "Not found",
"code": "profile_not_found"
}EMR User APIs
Retrieve EMR user profile
Retrieves an EMR user profile by OID.
GET
/
profiles
/
v1
/
emr-user
/
{oid}
Retrieve EMR user profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"EC_1431"
Path Parameters
Example:
18661861868168
Response
EMR user profile details
Example:
"175074536120088"
Example:
"77088166996724"
Example:
"S"
Example:
1750745358
Example:
1750745358
Example:
"M"
Example:
"2000-01-02"
Example:
true
Example:
"Eka"
Example:
"User"
Example:
"Eka User"
Example:
"B+"
Example:
"+911201201201"
Example:
"eka.user@example.com"
Example:
"Mr."
Was this page helpful?
⌘I

